
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Leann Ogasawara <ogasawara@osdl.org>

Patch inserts missing iounmap() on error.



---

 25-akpm/drivers/video/vga16fb.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/video/vga16fb.c~vga16fb-missing-iounmap drivers/video/vga16fb.c
--- 25/drivers/video/vga16fb.c~vga16fb-missing-iounmap	Mon Jan 26 14:23:03 2004
+++ 25-akpm/drivers/video/vga16fb.c	Mon Jan 26 14:23:03 2004
@@ -1373,8 +1373,10 @@ int __init vga16fb_init(void)
 	i = (vga16fb_defined.bits_per_pixel == 8) ? 256 : 16;
 	fb_alloc_cmap(&vga16fb.cmap, i, 0);
 
-	if (vga16fb_check_var(&vga16fb.var, &vga16fb))
+	if (vga16fb_check_var(&vga16fb.var, &vga16fb)) {
+		iounmap(vga16fb.screen_base);
 		return -EINVAL;
+	}
 
 	vga16fb_update_fix(&vga16fb);
 

_
